﻿namespace VkApi
{
    public class VkGroup : VkProfileBase
    {
        public long Gid { get; set; }
        public override string Name { get; set; }
        public string ScreenName { get; set; }
        public VkGroupType Type { get; set; }
        public override string PhotoUrl { get; set; }
        public string PhotoMediumUrl { get; set; }
        public string PhotoBigUrl { get; set; }

        public static VkGroupType ParseType(string input)
        {
            VkGroupType result;
            switch (input)
            {
                case "group":
                    result = VkGroupType.Group;
                    break;
                case "page":
                    result = VkGroupType.Page;
                    break;
                default:
                    result = VkGroupType.Group;
                    break;
            }

            return result;
        }
    }
}
